# Streams

In HighCohesion the stream configuration contains all the information for our system to run the integration. Streams are made up of three main components:

### Source

Contains the configuration for which data [source](/creating-streams/sources.md) to use.

### Transformation

Contains the configuration for which [transformation](/creating-streams/transformations.md) file to use.

### Destination

Contains the configuration to send the data to the [destination](/creating-streams/destinations.md) system.

### Data Type

The data type used on the stream should be relative to entity contained within. For consistency we recommend that you use singular, lowercase words with no spaces. Underscores are allowed. Examples of this are:

* Sales Orders = `sales_order` or `order`
* Products = `product`
* Refunds = `refund`
* Stock Trades = `stock_trade`
* Shipments = `shipment` or `fulfilment`
* Purchase Orders = `purchase_order`
* Goods Receipts  = `goods_receipt` or `grn`

### Settings

The settings is for adding any additional settings or config for the stream. Settings in this box should follow the basic TOML formatting. (<https://github.com/toml-lang/toml>)<br>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.highcohesion.com/creating-streams/streams.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
